nav {
    width: 100%;
    height: 95px;
    display: flex;
    background-color: rgb(13, 23, 54);
    align-items: center;
    justify-content: space-between;
}

.logo {
    width: 11rem;
    padding-left: 80px;
    cursor: pointer;
}

ul {
    list-style-type: none;
    display: flex;
    gap: 70px;
    margin: 0;
    padding: 0;
}

ul li { 
    margin: 0 10px;
    padding: 5px 10px;
    border-radius: 5px;
} 

ul li a {
    text-decoration: none;
    color: rgb(252, 252, 255);
    font-size: 20px;
    font-family: "Source Sans 3", sans-serif;
    font-weight: 500; /* ✅ corrige la valeur */
    font-style: normal;
}

ul li a:hover {
    color: rgb(249, 172, 78);
    font-weight: 600; /* ✅ au lieu de réduire la taille */
}

.search-box {
    display: flex;
}

.search-box input[type="text"] {
    padding: 5px 10px;
    border: none;
    border-radius: 5px 0 0 5px;
    outline: none;
}

.search-box button {
    padding: 5px 10px;
    border: none;
    background: #237ff7;
    color: white;
    border-radius: 0 5px 5px 0;
    cursor: pointer;
    margin-right: 80px;
    position: relative;
}

.sb{
    width: 11px;
    height: 14px;
    margin-right: 80px;
    margin-top: 4px;
    cursor: pointer;
    position: absolute;
    right: 5px;
    padding-top: 5px;
    padding-bottom: 0;
    filter: invert(100%);
   

}

.search-box button:hover {
    background: #022194;
}
    
@media (max-width: 768px) {
    nav {
        flex-direction: column;
        height: auto;
        padding: 10px;
    }

    ul {
        flex-direction: row;
        gap: 10px;
    }

    ul li a{
        font-size: 12px;
    }
    .search-box {
        display: none;
    }
    .logo {
        width: 6rem;
        padding: 0;
        margin-bottom: 4px;
    }
}

@media (max-width: 894px){
    
    nav {
        flex-direction: column;
        height: auto;
        padding: 7px;
    }

    ul {
        flex-direction: row;
        gap: 8px;
    }

    ul li a{
        font-size: 12px;
    }
    .search-box {
        display: none;
    }
    .logo {
        width: 6rem;
        padding: 0;
        margin-bottom: 4px;
    }
}

@media (max-width: 1024px) {
    ul{
        gap: 5px
    }

    .search-box input[type="text"] {
    padding: 5px 5px;
    width: 100px;
}
}
  @media (max-width: 1282px) {
    ul{
        gap: 5px
    }
       .search-box input[type="text"] {
    padding: 5px 5px;
    width: 100px;
}
}
